Have extensive logging for the import process
Closed, ResolvedPublic3 Story Points

Description

Log

  • exceptions
  • import of individual revision imports
  • non-exception, but failure reasons, which should all be mentioned in T179564 (if there is something missing, please add)
  • ..

See also T180117#3747920

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 14 2017, 4:36 PM
Tobi_WMDE_SW renamed this task from Log every exception to Have extensive logging for the import process.Nov 14 2017, 4:39 PM
Lea_WMDE updated the task description. (Show Details)Nov 15 2017, 11:11 AM
Addshore claimed this task.
Restricted Application added a project: User-Addshore. · View Herald TranscriptNov 20 2017, 11:10 AM

Change 392411 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/FileImporter@master] More logging

https://gerrit.wikimedia.org/r/392411

Addshore moved this task from Backlog to In Progress on the User-Addshore board.Nov 20 2017, 12:46 PM

Change 393587 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] BETA wmgMonologChannels 'FileImporter' => 'debug'

https://gerrit.wikimedia.org/r/393587

Change 393587 merged by jenkins-bot:
[operations/mediawiki-config@master] BETA wmgMonologChannels 'FileImporter' => 'debug'

https://gerrit.wikimedia.org/r/393587

Tobi_WMDE_SW moved this task from Done to Currently in sprint on the WMDE-QWERTY-Team board.

Change 392411 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] More logging

https://gerrit.wikimedia.org/r/392411

Addshore triaged this task as Normal priority.Jan 12 2018, 12:05 PM
https://gerrit.wikimedia.org/r/#/c/363284/ and https://gerrit.wikimedia.org/r/#/c/363286 would also allow us to log in more detail

These two patches in core would still be nice to have merged. Ticket is ready for re-pick-up.

Tobi_WMDE_SW set the point value for this task to 2.Feb 21 2018, 2:55 PM
Addshore changed the point value for this task from 2 to 3.

Change 413176 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/FileImporter@master] Use OldRevisionImporter and UploadRevisionImporter from core

https://gerrit.wikimedia.org/r/413176

Change 413176 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Use OldRevisionImporter and UploadRevisionImporter from core

https://gerrit.wikimedia.org/r/413176

Addshore closed this task as Resolved.